Skip to main content
GET
/
v2
/
amplify
/
vaultCompositions
List vault compositions
curl --request GET \
  --url https://api.paxoslabs.com/v2/amplify/vaultCompositions \
  --header 'x-api-key: <api-key>'
{
  "vaultCompositions": [
    {
      "vaultAddress": "0x1234567890abcdef1234567890abcdef12345678",
      "chainId": 1,
      "timestamp": "2026-01-21T15:04:05Z",
      "components": [
        {
          "assetAddress": "0xabcdef1234567890abcdef1234567890abcdef12",
          "amount": "950.0",
          "value": "1000.0",
          "valueAsset": "USD",
          "weight": "0.25",
          "positionKind": "DEBT",
          "instrumentType": "MORPHO_V1_VAULT",
          "positionRef": {
            "type": "MORPHO_V1_VAULT",
            "id": "0x123"
          }
        }
      ]
    }
  ],
  "nextPageToken": "eyJvZmZzZXQiOjI1fQ=="
}

Authorizations

x-api-key
string
header
required

API key in format: pxl_<public_id>_

Query Parameters

pageSize
number
default:25

Maximum items per page. Default: 25. Min: 1, max: 100.

Required range: 1 <= x <= 100
Example:

25

pageToken
string

Opaque token for the next page. Omit for the first page.

Example:

"eyJvZmZzZXQiOjI1fQ=="

filter
string

Filter string. Flags: chainId, vaultAddress. Optional.

Example:

"chainId=1 AND vaultAddress=0x1234567890abcdef1234567890abcdef12345678"

Response

List of vault compositions

vaultCompositions
object[]
required

List of vault compositions

nextPageToken
object
required

Token for the next page. null when there are no more results. Always present.

Example:

"eyJvZmZzZXQiOjI1fQ=="